@charset "ISO-8859-1";

/*
:root {
  --blue: #1e90ff;
  --white: #ffffff;
}
*/
* {
	box-sizing: border-box;
}

select {
	border-radius: 5px;
	font-size: medium;
	font-weight: bold;
	color: #8d6706;
}

option {
	font-weight: bold;
}

body {
	margin: 0px;
	padding-left: 0.5%;
	padding-right: 0.5%;
	border: 0;
	display: block;
	text-align: center;
	color: #d0c09a;
	background-color: #1a1515;
	overflow-y: hidden;
	background-image: linear-gradient(111.7deg, #1a1515 0.4%, #1c1818 25.8%, rgb(36 28 2) 48.5%, #1a1515 77.4%, rgba(45, 35, 2, 1) 89.7%);
}

#top-menus button,
button {
	border-width: 3px;
	background-color: black;
	color: #d0c09a;
	border-color: #d0c09a;
	border-style: ridge;
	margin: 1px;
	border-radius: 5px;
	opacity: 1;
}

#top-menus button {
	font-size: 120%;
}

#top-menus button:hover:enabled,
#top-menus button:focus,
#top-menus button:active,
#top-menus button.current,
button:hover:enabled,
button.focus,
button:active {
	background-color: #d0c09a;
	color: black;
	border-color: #d0c09a;
}

#top-menus button:active,
button:active,
.depressable:active {
	transform: scale(.9, .9);
}

#top-menus button:disabled,
button:disabled {
	color: #5e4803;
	border-color: #5e4803;
}

#top-menus {
	margin-top: 5px;
	margin-bottom: 5px;
}

#top-menus .sub-div {
	overflow-y: auto;
	border-radius: 6px;
	font-size: 90%;
	background-color: rgb(255 255 255 / 80%);
}

#content-envelope {
	overflow-y: auto;
	position: relative;
	font-size: large;
	width: 100%;
}

a {
	color: white;
}

a:visited {
	color: white;
}

h2 {
	font-family: sans-serif;
	color: rgba(255, 255, 255, 1);
	text-shadow: 0px 0px 3px #ffffff;
	text-align: center;
}

h2>span {
	display: inline-block;
}

.modal-container * {
	font-size: large;
}

.modal-container button {
	background-color: #244c5f;
	color: white;
	border-color: white;
	border-width: 2px;
}

.modal-container button:hover {
	background-color: white;
	color: #244c5f;
	border-color: #244c5f;
	border-width: 2px;
}

.modal-header,
.modal-footer,
.modal-envelope {
	background-color: #244c5f;
}

.modal-header * {
	font-size: 120%;
}

textarea,
input {
	background-color: rgba(255, 255, 255, 0.8);
	font-size: inherit;
	font-family: serif;
}

::placeholder {
	color: #1a151555;
}

blockquote {
	text-align: center;
	font-style: italic;
	font-size: larger;
}

.about-page {
	text-align: center;
	font-style: italic;
}

#controls {
	color: white;
	background-color: #3b2e02;
	border: 2px solid black;
	padding: 5px;
	margin-top: 10px;
}

/*BEGIN          .resource-template          */

.resource-template>div:first-of-type {
	background-color: #244c5f;
	padding: 5px;
	border-style: groove;
	border-end-end-radius: 20px;
	border-start-start-radius: 20px;
	margin-bottom: -3px;
}

.resource-template>div:first-child {
	overflow-y: auto;
}

.resource-template>div:last-of-type {
	text-align: left;
}

.resource-template img {
	float: left;
	margin: 5px;
	height: 100px;
	border-radius: 5px;
	cursor: pointer;
}

.resource-template [name='title'] {
	text-align: center;
}

.resource-template [name='description'] {
	text-align: left;
}

/*END          .resource-template          */

/*BEGIN          .miracle-template          */

.miracle-template {
	text-align: left;
}

.miracle-template [name='username'],
.miracle-template [name='date'],
.miracle-template [name='date-modified'] {
	font-size: smaller;
}

.miracle-template [name='date-modified'] {
	font-style: italic;
}

.miracle-template [name='username'] {
	font-weight: bold;
}

.miracle-template [name='title'] {
	text-align: center;
	border: none;
	outline: none;
	width: 100%;
	margin-bottom: 1px;
	background-color: rgb(0, 0, 0, 0);
	color: #ddd0a1;
	border: 3px ridge #ddd0a1;
	text-shadow: 0.25px -0.25px 0px #ffffff;
	background-image: linear-gradient(129deg, rgba(143, 0, 255, 1) 0%, rgba(78, 47, 57, 1) 16%, rgba(0, 0, 255, 1) 33.8%, rgba(0, 255, 0, 1) 51.7%, rgba(255, 255, 0, 1) 71.2%, rgba(255, 165, 0, 1) 82.5%, rgba(255, 0, 0, 1) 94.4%);
	color: white;
	text-shadow: 1px -1px 1px #000000;

}

.miracle-template div.discussion {
	background-color: rgb(0, 0, 0, 0);
	color: #ddd0a1;
	border: 3px ridge #ddd0a1;
	border-top-width: 0px;
	margin-top: -1px;
	overflow-y: auto;
	text-align: left;
}

.miracle-template div.discussion>img {
	width: 75px;
	float: left;
	margin-top: -20px;
	margin-right: 5px;
}

.miracle-template div.discussion>div[name='text'] {
	margin-top: -50px;
	margin-bottom: -30px;
	font-size: large;
}

.miracle-template button[name='share-button'] {
	display: unset;
}

/*END          .miracle-template          */

/*BEGIN          .event-template          */
.event-template {
	opacity: 1;
	position: relative;
}

.event-template>div:first-of-type {
	border: white;
	border-width: 2px;
	border-style: groove;
	margin-bottom: -4px;
	position: relative;
}

.event-template th {
	text-align: right;
	word-break: keep-all;
}

.event-template th,
.event-template td {
	vertical-align: top;
}

.event-template [data-name='title'] {
	text-align: left;
	font-weight: bold;
}

.event-template [data-name='from'] {
	text-align: left;
}

.event-template [data-name='to'] {
	text-align: left;
}

.event-template [data-name='location'] {
	text-align: left;
	white-space: pre-wrap;
}

.event-template [data-name='description'] {
	height: 70px;
	overflow-y: hidden;
	overflow-x: hidden;
	text-align: left;
}

.event-template>div>table {
	width: 100%;
	border-collapse: collapse;
	font-size: large;
}

.event-template [data-name='image'] {
	text-align: right;
	padding-right: 1%;
}

.event-template [data-name='description'] {
	padding-left: 1%;
	padding-right: 1%;
}

.event-template .read-more-button {
	font-size: medium;
	border-width: 2px 2px 0px 2px;
	border-bottom-left-radius: 0px;
	border-bottom-right-radius: 0px;
}

.event-template .read-more-button::after {
	content: "Read more...";
}

.event-template .read-less-button {
	font-size: medium;
	border-width: 0px 2px 2px 2px;
	border-top-left-radius: 0px;
	border-top-right-radius: 0px;
}

.event-template .read-less-button::after {
	content: "Read less...";
}

.event-template .description-row>td {
	text-align: left;
	background-color: #244c5f;
	padding: 0px;
}

.event-template .description-row [data-name='description'] {
	white-space: pre-wrap;
}

.event-template .read-more-div {
	position: absolute;
	bottom: 0px;
	width: 100%;
	margin-bottom: -1px;
	text-align: center;
}

.event-template .to-row,
.event-template .from-row {
	background-color: #3b2e02;
}

.event-template [name='rsvp-count-button']>span {
	font-weight: bold;
}

.event-template [name='rsvp-count-button']>span:nth-of-type(1) {
	color: #00FF00;
}

.event-template [name='rsvp-count-button']>span:nth-of-type(2) {
	color: yellow;
}

.event-template [name='rsvp-count-button']>span:nth-of-type(3) {
	color: #FF0000;
}

/*END          .miracle-template          */

/*BEGIN          .posted-template          */
.posted-template {
	color: white;
}

.posted-template [name='username'],
.posted-template [name='date'],
.posted-template [name='date-modified'] {
	font-size: smaller;
}

.posted-template [name='date-modified'] {
	font-style: italic;
}

.posted-template [name='username'] {
	font-weight: bold;
}

/*END          .posted-template          */

.subtab {
	border-top-width: 0px;
	border-top-left-radius: 0px;
	border-top-right-radius: 0px;
	margin: 0px;
}

.discussion {
	background-color: rgba(255, 255, 255, 0.8);
	color: black;
	max-width: 100%;
	min-width: 100%;
	max-height: 500px;
	overflow-y: scroll;
	padding-left: 5px;
	padding-right: 5px;
	padding-top: 0px;
	padding-bottom: 0px;
	margin-bottom: -3px;
	font-family: serif;
	font-size: medium;
	border: none;
	outline: none;
	white-space: pre-wrap;
	display: block;
}

textarea.discussion {
	background-color: white;
}

.share-utils-modal button {
	margin: 0px;
	padding: 0px;
	border: none;
	height: 30px;
}

.share-utils-modal button:hover {
	transform: scale(.9, .9);
}

.share-utils-modal button:active {
	transform: scale(.8, .8);
}

.share-utils-modal span {
	margin: 2px;
	white-space: nowrap;
	display: inline-block;
	text-align: center;
	vertical-align: text-top;
	font-size: small;
	font-weight: bold;
	line-height: 95%;
	margin-bottom: 7px;
}

.share-utils-modal svg {
	width: 30px;
	height: 30px;
	border: 1px solid black;
}

.share-utils-modal>div {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(80px, 1fr));
}

#default-chapter-select {
	margin-top: 5px;
	text-align: center;
}

#whoami-div {
	color: white;
}

.db-editable.edit-on {
	outline: 2px solid red;
	/* min-width: 10px;
	min-height: 10px; */
}

.db-editable.edit-on:empty::before {
	content: "\0000a0?\0000a0";
}